Summary: logs TCP and ICMP connections to syslog.
Name: iplogger
Version: 0.1
Release: 1
Source: sunsite.unc.edu:/pub/Linux/system/Network/daemons/iplogger.tar.gz
Copyright: distributable
Group: Networking/Daemons

%description
These two programs let you log tcp and icmp connections in syslog,
along with the hostname. They are just something I whipped up quickly,
and could be improved alot - especially the icmp logging program.

%prep
%setup -n iplogger

%build
# Make binaries
gcc -O3 -pedantic -Wall icmplog.c -o icmplog
gcc -O3 -pedantic -Wall tcplog.c -o tcplog

%install
install -m755 -o root -g root icmplog /usr/sbin/icmplog
install -m755 -o root -g root tcplog /usr/sbin/tcplog

cat << EndOfFile > /etc/rc.d/init.d/iplog.init
#!/bin/sh
#
# iplog    This shell script takes care of starting and stopping
#          tcplog and icmplog.
#

# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

# Check that networking is up.
[ \${NETWORKING} = "no" ] && exit 0

# See how we were called.
case "\$1" in
  start)
	# Start daemons.
	echo -n "Starting iplog: "
	daemon icmplog
	daemon tcplog
        echo
        ;;
  stop)
	# Stop daemons.
	echo -n "Shutting down iplog: "
	killproc icmplog
	killproc tcplog
	echo
	;;
  *)
	echo "Usage: iplog {start|stop}"
	exit 1
esac

exit 0
EndOfFile

chmod 755 /etc/rc.d/init.d/iplog.init

%files
%doc readme ftpbounce.txt
/usr/sbin/icmplog
/usr/sbin/tcplog
/etc/rc.d/init.d/iplog.init
